Author Topic: Believe it or not - simple but powerful  (Read 1585 times)

0 Members and 1 Guest are viewing this topic.

ribarm

  • Gator
  • Posts: 3308
  • Marko Ribar, architect
Believe it or not - simple but powerful
« on: May 17, 2013, 09:53:58 AM »
Recently, I looked into my geometry collection of lsps and believe it I just realized that almost everything ab circle construction is covered within circle command (3 pt - pick "tan" "tan" "tan", "end" "tan" "tan",...; 2 pt - pick 1st, 2nd; ttr option - tangent, tangent, radius, standard center, radius)...

But what I've discovered is that there are no option for point, tangent, radius... And as far as my memory serves me - I wrote similar thing on AUGI forums... But as I discovered this is unnecessary as you can easily construct this kind of circle...

You only need to set offset distance the same as radius of circle and perform offset (line, curve) for a distance, and from point you want to pass resulting circle, draw circle with radius the same as offset distance... At the intersection of line, curve that represent offset and circle with center as point of resulting circle is to pass through lies center of resulting circle that also has radius with the same value as offset distance...

So all you need is this snippet...

Code - Auto/Visual Lisp: [Select]
  1. (defun c:or ( / d )
  2.   (setq d (getdist "\nSET OFFSETDIST AND CIRCLERAD TO (Pick distance) : "))
  3.   (setvar 'offsetdist d)
  4.   (setvar 'circlerad d)
  5.   (princ)
  6. )
  7.  

Believe it or not this is magical thing you want to have loaded while working... (You don't need to be an genius to figure this out and skillful programmer). Its simple and true...

M.R. :mrgreen:
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube